Error whereas putting in PostgreSQL 12.9 on Apple Silicon (M1 Max) by way of asdf

0
49


I am making an attempt to put in PostgreSQL by way of asdf-postgres plugin by working asdf set up postgres 12.9 on 2021 MacBook Professional (with M1 Max, working Monterey 12.0.1) however getting the next error:

100   190  100   190    0     0    345      0 --:--:-- --:--:-- --:--:--   346
/Customers/kushal/.asdf/plugins/postgres/bin/set up: line 45: uconv: command not discovered
Constructing with choices: --prefix=/Customers/kushal/.asdf/installs/postgres/12.9     --with-uuid=e2fs     --with-openssl     --with-zlib     --with-libraries=/decide/native/lib:/sw/lib:/usr/native/decide/openssl/lib:/decide/homebrew/decide/openssl/lib:/usr/native/lib:/usr/lib     --with-includes=/decide/native/lib:/sw/lib:/usr/native/decide/openssl/embrace:/decide/homebrew/decide/openssl/embrace:/decide/homebrew/embrace:/usr/native/embrace:/usr/native/lib:/usr/lib --with-uuid=e2fs --with-openssl --with-libraries=/usr/native/lib:/decide/homebrew/decide/openssl@1.1/lib --with-includes=/usr/native/embrace:/decide/homebrew/decide/openssl@1.1/embrace
checking construct system sort... Invalid configuration `arm64-apple-darwin21.1.0': machine `arm64-apple' not acknowledged
configure: error: /bin/sh config/config.sub arm64-apple-darwin21.1.0 failed

Please observe that I am making an attempt to put in it in opposition to OpenSSL 1.1 (which is put in by way of Homebrew already). Additionally, I am exported POSTGRES_EXTRA_CONFIGURE_OPTIONS in my zshrc as:

export POSTGRES_EXTRA_CONFIGURE_OPTIONS="--with-uuid=e2fs --with-openssl --with-libraries=/usr/native/lib:/decide/homebrew/decide/openssl@1.1/lib --with-includes=/usr/native/embrace:/decide/homebrew/decide/openssl@1.1/embrace"

I imagine Postgres is already supported on Apple Silicon, am I lacking one thing right here?